﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="AJAX.aspx.cs" Inherits="AJAX" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Ron's 
    Trains    </title>
    <style type="text/css">
        .style1
        {
            font-family: Arial, Helvetica, sans-serif;
            font-weight: bold;
            font-size: large;
            
        }
        
        body{ background-color: navy;
          color:White;
    }
    .style2 {
		text-align: center;
	}
	.style3 {
		color: #FFFFFF;
	}
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <div>
        <asp:AccessDataSource ID="AccessDataSource1" runat="server" 
            DataFile="~/App_Data/customers.mdb" 
            DeleteCommand="DELETE FROM [Customers] WHERE [CustID] = ?" 
            InsertCommand="INSERT INTO [Customers] ([CustID], [LastName], [FirstName], [StreetAddress], [City], [State]) VALUES (?, ?, ?, ?, ?, ?)" 
            SelectCommand="SELECT [CustID], [LastName], [FirstName], [StreetAddress], [City], [State] FROM [Customers] ORDER BY [LastName]" 
            UpdateCommand="UPDATE [Customers] SET [LastName] = ?, [FirstName] = ?, [StreetAddress] = ?, [City] = ?, [State] = ? WHERE [CustID] = ?">
            <DeleteParameters>
                <asp:Parameter Name="CustID" Type="Int32" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="LastName" Type="String" />
                <asp:Parameter Name="FirstName" Type="String" />
                <asp:Parameter Name="StreetAddress" Type="String" />
                <asp:Parameter Name="City" Type="String" />
                <asp:Parameter Name="State" Type="String" />
                <asp:Parameter Name="CustID" Type="Int32" />
            </UpdateParameters>
            <InsertParameters>
                <asp:Parameter Name="CustID" Type="Int32" />
                <asp:Parameter Name="LastName" Type="String" />
                <asp:Parameter Name="FirstName" Type="String" />
                <asp:Parameter Name="StreetAddress" Type="String" />
                <asp:Parameter Name="City" Type="String" />
                <asp:Parameter Name="State" Type="String" />
            </InsertParameters>
        </asp:AccessDataSource>
        <h3 class="style1">
            Welcome to Ron&#39;s Train Store (This page uses AJAX)</h3>
        <br />
        <img src="lionel-trains.jpg" style="width: 400px; height: 310px" /><br />
        <br />
        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
       <ContentTemplate>
           <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" 
               BackColor="White" BorderColor="#336666" BorderStyle="Double" BorderWidth="3px" 
               CellPadding="4" DataKeyNames="CustID" DataSourceID="AccessDataSource1" 
               GridLines="Horizontal" Font-Names="Verdana" Font-Size="10pt">
               <RowStyle BackColor="White" ForeColor="#333333" />
               <Columns>
                   <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" />
                   <asp:BoundField DataField="CustID" HeaderText="CustID" InsertVisible="False" 
                       ReadOnly="True" SortExpression="CustID" />
                   <asp:BoundField DataField="LastName" HeaderText="LastName" 
                       SortExpression="LastName" />
                   <asp:BoundField DataField="FirstName" HeaderText="FirstName" 
                       SortExpression="FirstName" />
                   <asp:BoundField DataField="StreetAddress" HeaderText="StreetAddress" 
                       SortExpression="StreetAddress" />
                   <asp:BoundField DataField="City" HeaderText="City" SortExpression="City" />
                   <asp:BoundField DataField="State" HeaderText="State" SortExpression="State" />
               </Columns>
               <FooterStyle BackColor="White" ForeColor="#333333" />
               <PagerStyle BackColor="#336666" ForeColor="White" HorizontalAlign="Center" />
               <SelectedRowStyle BackColor="#339966" Font-Bold="True" ForeColor="White" />
               <HeaderStyle BackColor="#336666" Font-Bold="True" ForeColor="White" />
           </asp:GridView>
       </ContentTemplate>
       
           
       
       
        </asp:UpdatePanel>
    </div>
    </form>
	<p class="style2"><a href="Default.aspx"><span class="style3">Home</span></a> 
	| <a href="AJAX.aspx"><span class="style3">AJAX</span></a></p>
</body>
</html>
